> ## Documentation Index
> Fetch the complete documentation index at: https://docs.series.hr/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Flight Settings

> Retrieve workspace flight settings including airports, airlines, fleet, and progression rules

Retrieve configuration settings for the workspace Flights module, including all registered airports, gates, operating airlines, aircraft fleet models, ticket classes, timezone, and auto-status progression rules.

## Request

```bash theme={null}
curl -X GET "https://api.series.hr/flights/settings" \
  -H "apikey: YOUR_API_KEY"
```

## Response

<ResponseField status={200} name="200">
  ```json theme={null}
  {
    "success": true,
    "data": {
      "WorkspaceId": "a7d5339a-5531-4336-99c6-6f3249c9ac20",
      "Settings": {
        "MainAirportId": "apt_1",
        "Airports": [
          {
            "Id": "apt_1",
            "Name": "Robloxia International Airport",
            "IataCode": "RBLX",
            "IcaoCode": "KRBX",
            "City": "Robloxia",
            "Country": "United States",
            "Terminals": [
              { "Id": "term_1", "Name": "Terminal 1", "Description": "Domestic" }
            ],
            "Gates": [
              { "Id": "gate_1", "Name": "Gate A1", "TerminalId": "term_1", "Enabled": true }
            ]
          }
        ],
        "Airlines": [
          {
            "Id": "airline_1",
            "Name": "Roblox Airways",
            "IataCode": "RA",
            "IcaoCode": "RBA",
            "Callsign": "ROBLOXAIR",
            "ColorHex": "#0EA5E9",
            "Icon": "plane"
          }
        ],
        "AircraftFleet": [
          {
            "Id": "ac_1",
            "Model": "Boeing 737-800",
            "Manufacturer": "Boeing",
            "Capacity": 180
          }
        ],
        "TicketClasses": [
          {
            "Id": "class_eco",
            "Name": "Economy Class",
            "Code": "Y",
            "ColorHex": "#0EA5E9",
            "GamepassRequired": false,
            "GamepassId": null,
            "PriorityBoarding": false
          }
        ],
        "TimeFormat": "24h",
        "Timezone": "UTC",
        "AutoStatusProgression": {
          "Enabled": true,
          "BoardingMinutesBefore": 15,
          "GateClosedMinutesBefore": 5,
          "DepartedMinutesOffset": 0,
          "InFlightMinutesOffset": 2,
          "LandedMinutesOffset": 0,
          "ArrivedMinutesOffset": 2
        }
      }
    }
  }
  ```
</ResponseField>

## Status Codes

* `200`: Settings returned successfully
* `401`: API key is required
* `403`: Flights module is not enabled
